﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54540 Series (1 yr) VER IEEE /9500+5Hd,DMM
DATE:                  2017-03-29 12:36:05
AUTHOR:                Fluke
REVISION:              $Revision: 19021 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       208
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  ZY, DAC
#
#  Model(s) Covered:  54540A, 54542A, 54540C, 54542C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
#                     Adapter, BNC(f) to double-banana(m), Pomona Model 1269
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  M9500                       CH1
  1.004  9500         500MH                        1Vpp           LS    N
  1.005  M9500                       CH2
  1.006  9500         500MH                        1Vpp           LS    N
  1.007  M9500                       CH3
  1.008  9500         500MH                        1Vpp           LS    N
  1.009  M9500                       CH4
  1.010  9500         500MH                        1Vpp           LS    N
  1.011  M9500                       CH5
  1.012  9500         500MH                        1Vpp           LS    N
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.015  ASK+           K

  1.016  MATH         @ReqMetCalVersion = "7.20x"
  1.017  CALL         Sub MET/CAL Version Check

  1.018  IF           NOT(@MetCalVersionOK)
  1.019  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.019  DISP         later.
  1.020  END
  1.021  ENDIF

  1.022  CALL         Sub Display Copyright
  1.023  CALL         Sub High Voltage Safety Warning
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub Select Verification Method (No NTHROW)

  1.026  HEAD         PRELIMINARY INSTRUCTIONS
  1.027  DISP         Ensure a minimum UUT warm-up time of at least
  1.027  DISP         30 minutes has been allowed to elapse, prior
  1.027  DISP         to beginning verification.

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.031  DISP         The following additional equipment and/or
  1.031  DISP         accessories are required:
  1.031  DISP
  1.031  DISP         - BNC tee, (f)-(f)-(f)
  1.031  DISP         - Cable assy, BNC (m)-(m), 1 m, 2 ea.
  1.031  DISP         - Formatted, blank floppy disk
  1.032  ENDIF

  1.033  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.034  IEEE         *RST

  1.035  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.036  MATH         @UUT_AssetNum     = UUT()

  1.037  IF           NOT(EMPTY(@UUT_AssetNum))
  1.038  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.039  ENDIF

  1.040  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.041  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.042  IF           @Abort
  1.043  END
  1.044  ENDIF

  1.045  MATH         @MulSource = 1; @4ChUUT = 1
  1.046  CALL         Sub HP 545xx Self-test IEEE
  1.047  JMPL         END                 @Abort

  1.048  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.049  M9500                       CH1
  1.050  MATH         @Chan = 1
  1.051  PIC          hp5452_ch1_ch2_ch3_ch4_aux_9500
  1.052  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.053  M9500                       CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.056  M9500                       CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.059  M9500                       CH4
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500

  1.062  M9500                       CH1
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.065  M9500                       CH2
  1.066  MATH         @Chan = 2
  1.067  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.068  M9500                       CH3
  1.069  MATH         @Chan = 3
  1.070  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.071  M9500                       CH4
  1.072  MATH         @Chan = 4
  1.073  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500

  1.074  M9500                       CH1
  1.075  MATH         @Chan = 1
  1.076  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.077  M9500                       CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.080  M9500                       CH3
  1.081  MATH         @Chan = 3
  1.082  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.083  M9500                       CH4
  1.084  MATH         @Chan = 4
  1.085  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500

  1.086  M9500                       CH1
  1.087  MATH         @Chan = 1
  1.088  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.089  M9500                       CH2
  1.090  MATH         @Chan = 2
  1.091  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.092  M9500                       CH3
  1.093  MATH         @Chan = 3
  1.094  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.095  M9500                       CH4
  1.096  MATH         @Chan = 4
  1.097  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500

  1.098  M9500                       CH1
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub HP 545xx (1 yr) Timebase IEEE /9500
  1.101  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.102  M9500                       CH2
  1.103  MATH         @Chan = 2
  1.104  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.105  M9500                       CH3
  1.106  MATH         @Chan = 3
  1.107  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.108  M9500                       CH4
  1.109  MATH         @Chan = 4
  1.110  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500

  1.111  MATH         @Chan = 1
  1.112  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /9500+5Hd

  1.113  LABEL        END
  1.114  HEAD
  1.115  RSLT         =
  1.116  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.117  IEEE         [GTL]
  1.118  DISP         Remove all connections from the UUT.

  1.119  IF           @Abort
  1.120  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.121  ENDIF

  1.122  END
