﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx (1 yr) AUX Trigger IEEE /9500+5Hd
DATE:                  2008-11-10 09:14:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       95
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:  ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
# Compatibility:      MET/CAL 7.20 SP1 or later
#
# Subprocedures:      Sub HP 545xx Channel Select IEEE
#                     Sub HP 545xx Wait for Operation Complete (OPC) IEEE
#
# Required Files:     None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    N
  1.004  M9500                       CH5
  1.005  9500         500MH                        1Vpp           LS    N
  1.006  ENDIF

  1.007  CALL         Sub HP 545xx Channel Select IEEE

  1.008  RSLT         =
  1.009  HEAD         {AUXILIARY TRIGGER}
  1.010  TARGET
# Output signal level to UUT channel 1 using 9500 CH 4.
  1.011  M9500                       CH1
  1.012  IEEE         SYST:DSP "Auxiliary Trigger Test"
  1.013  IEEE         DISPLAY:GRATICULE GRID
  1.014  IEEE         DISPLAY:CONNECT OFF
  1.015  IEEE         TRIGGER:SOURCE CHANNEL1
  1.016  IEEE         TIMEBASE:RANGE 100E-9
  1.017  IEEE         CHANNEL1:RANGE 0.4;OFFS 0
  1.018  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  1.019  JMPL         ERROR                      @StatusBit <= 0
  1.020  IEEE         MEASURE:SOURCE CHANNEL1
# Apply nominal voltage to UUT. (Program half since UUT input Z is 1 MOhm.)
  1.021  9500         0.125Vpp                     50MH           LS    S  L
  1.022  IEEE         ERAS PMEM0[D1000]
  1.023  IEEE         MEAS:VPP?[I]
# Compute value needed from 9500 to output nominal voltage to UUT.
  1.024  MATH         MEM = (2 * 0.125) - (MEM / 2)
# Adjust 9500A output for nominal voltage applied using computed value.
  1.025  9500         Vpp                          50MH           LS    S  L
# 'Move' computed signal level to UUT AUX TRIG INPUT using 9500 CH 4.
  1.026  M9500                       CH5
  1.027  9500         Vpp                          50MH           LS    S  L
  1.028  IEEE         TRIGGER:SOURCE AUXILIARY
  1.029  IEEE         TRIGGER:LEVEL 0
# Have operator verify pass/fail status of UUT.
  1.030  OPBR         -z Is the UUT triggered? (Only "RUNNING" should appear
  1.030  OPBR         in the status in the upper left corner of the display.)
  1.030  OPBR
  1.030  OPBR         (A status display of "RUNNING-AUTO TRIGGERING"
  1.030  OPBR         or "RUNNING-AWAITING TRIGGER" indicates that
  1.030  OPBR         the UUT is NOT TRIGGERED.)
  1.031  EVAL   -e MEM1  : 250 mVpp @ 50 MHz

  2.001  JMPL         END

  2.002  LABEL        ERROR
  2.003  HEAD         ERROR
  2.004  DISP         [V @ErrMsg]

  2.005  LABEL        END
  2.006  HEAD
  2.007  9500         *                                                 S
  2.008  IEEE         *RST
  2.009  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  2.010  JMPL         ERROR                      @StatusBit <= 0
  2.011  END




